#{extends 'borderNG.html' /}
#{set 'titleHead'}
Cari Paket Swakelola
#{/set}

<div class="container">
    #{cariTabMenu /}

    <div class="content tab-content">
        <div class="content tab-content">
            <table id="tblswakelola" class="table table-sm ">
                <thead>
                <tr>
                    <th width="10%">Kode Paket</th>
                    <th width="50%">Nama Paket</th>
                    <th width="30%">K/L/PD</th>
                    <th width="10%">Pagu</th>
                </tr>
                </thead>
            </table>
        </div>
    </div>
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/css/dataTables.bootstrap4.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/datatables/1.10.20/js/dataTables.bootstrap4.min.js"></script>
<script type="text/javascript" src="#{assets '/js/datatables.config.js'/}"></script>
<script type="text/javascript">
    var view  = #{jsRoute @swakelola.SwakelolaCtr.pengumumanSwakelola(':id') /};
    $(document).ready(function() {
        var table = $("#tblswakelola").DataTable({
            order: [[ 0, "desc"]],
            ajax: "@{DataTableCtr.Swakelola()}",
            columns: [null, {render: function(data, type, row) {
                var id = row[0];
                var paket = row[1];
                 var version = getLabelSpseVersion(row[6]);
                 var flag = version.flag;
    			var highlight = version.highlight;
    			var versiSpse = '<span class="' + highlight + '">' + flag + '</span>';
                return row[1] = '<a href="'+view.url({id:id})+'" target="_blank">'+ paket +'</a> <span class="badge  badge-info">Swakelola</span>' +
                        ' '+versiSpse+'<p style="margin-top:10px;">TA - '+row[5]+'</p>';
            }},null,null
            ]
        });
        $('#tblswakelola_filter input').unbind();
        $('#tblswakelola_filter input').bind('keyup', function(e) {
            if(e.keyCode == 13) {
              table.search(this.value).draw();
             }
        });
    } );
</script>
#{/set}